com.holonplatform.vaadin.flow.components.builders

## Interface ListSingleSelectConfigurator.ValidatableListSingleSelectInputBuilder<T,ITEM>

- Type Parameters:
    `T` - Value type
    `ITEM` - Item type
  All Superinterfaces:
    BaseValidatableInputBuilder<T,ValidatableSingleSelect<T>,ListSingleSelectConfigurator.ValidatableListSingleSelectInputBuilder<T,ITEM>>, ComponentConfigurator<ListSingleSelectConfigurator.ValidatableListSingleSelectInputBuilder<T,ITEM>>, DeferrableLocalizationConfigurator<ListSingleSelectConfigurator.ValidatableListSingleSelectInputBuilder<T,ITEM>>, HasBeanDatastoreDataProviderConfigurator<ITEM,ListSingleSelectConfigurator.ValidatableDatastoreListSingleSelectInputBuilder<T,ITEM>,ListSingleSelectConfigurator.ValidatableListSingleSelectInputBuilder<T,ITEM>>, HasDataProviderConfigurator<ITEM,ListSingleSelectConfigurator.ValidatableListSingleSelectInputBuilder<T,ITEM>>, HasDeferrableLocalization, HasElementConfigurator<ListSingleSelectConfigurator.ValidatableListSingleSelectInputBuilder<T,ITEM>>, HasEnabledConfigurator<ListSingleSelectConfigurator.ValidatableListSingleSelectInputBuilder<T,ITEM>>, HasItemCaptionConfigurator<ITEM,ListSingleSelectConfigurator.ValidatableListSingleSelectInputBuilder<T,ITEM>>, HasItemEnableConfigurator<ITEM,ListSingleSelectConfigurator.ValidatableListSingleSelectInputBuilder<T,ITEM>>, HasItemsConfigurator<ITEM,ListSingleSelectConfigurator.ValidatableListSingleSelectInputBuilder<T,ITEM>>, HasSizeConfigurator<ListSingleSelectConfigurator.ValidatableListSingleSelectInputBuilder<T,ITEM>>, HasStyleConfigurator<ListSingleSelectConfigurator.ValidatableListSingleSelectInputBuilder<T,ITEM>>, InputConfigurator<T,ValueHolder.ValueChangeEvent<T>,ListSingleSelectConfigurator.ValidatableListSingleSelectInputBuilder<T,ITEM>>, ItemSetConfigurator<ListSingleSelectConfigurator.ValidatableListSingleSelectInputBuilder<T,ITEM>>, ListSingleSelectConfigurator<T,ITEM,ListSingleSelectConfigurator.ValidatableListSingleSelectInputBuilder<T,ITEM>>, ListSingleSelectConfigurator.ListSingleSelectInputConfigurator<T,ITEM,ListSingleSelectConfigurator.ValidatableDatastoreListSingleSelectInputBuilder<T,ITEM>,ListSingleSelectConfigurator.ValidatableListSingleSelectInputBuilder<T,ITEM>>, SelectableInputConfigurator<T,T,ListSingleSelectConfigurator.ValidatableListSingleSelectInputBuilder<T,ITEM>>, SingleSelectableInputConfigurator<T,ITEM,ListSingleSelectConfigurator.ValidatableListSingleSelectInputBuilder<T,ITEM>>, ValidatableInputConfigurator<T,ValidatableSingleSelect<T>,ListSingleSelectConfigurator.ValidatableListSingleSelectInputBuilder<T,ITEM>>
  Enclosing interface:
    ListSingleSelectConfigurator<T,ITEM,B extends ListSingleSelectConfigurator<T,ITEM,B>>

      public static interface ListSingleSelectConfigurator.ValidatableListSingleSelectInputBuilder<T,ITEM>
      extends ListSingleSelectConfigurator.ListSingleSelectInputConfigurator<T,ITEM,ListSingleSelectConfigurator.ValidatableDatastoreListSingleSelectInputBuilder<T,ITEM>,ListSingleSelectConfigurator.ValidatableListSingleSelectInputBuilder<T,ITEM>>, BaseValidatableInputBuilder<T,ValidatableSingleSelect<T>,ListSingleSelectConfigurator.ValidatableListSingleSelectInputBuilder<T,ITEM>>

  `SingleSelect` input builder with validation support.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ListSingleSelectConfigurator

      `ListSingleSelectConfigurator.DatastoreListSingleSelectInputBuilder<T,ITEM>, ListSingleSelectConfigurator.DatastoreListSingleSelectInputConfigurator<T,ITEM,C extends ListSingleSelectConfigurator.DatastoreListSingleSelectInputConfigurator<T,ITEM,C>>, ListSingleSelectConfigurator.DatastorePropertyListSingleSelectInputBuilder<T>, ListSingleSelectConfigurator.DatastorePropertyListSingleSelectInputConfigurator<T,C extends ListSingleSelectConfigurator.DatastorePropertyListSingleSelectInputConfigurator<T,C>>, ListSingleSelectConfigurator.ListSingleSelectInputBuilder<T,ITEM>, ListSingleSelectConfigurator.ListSingleSelectInputConfigurator<T,ITEM,D extends DatastoreDataProviderConfigurator<ITEM,D>,C extends ListSingleSelectConfigurator.ListSingleSelectInputConfigurator<T,ITEM,D,C>>, ListSingleSelectConfigurator.PropertyListSingleSelectInputBuilder<T>, ListSingleSelectConfigurator.PropertyListSingleSelectInputConfigurator<T,D extends DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,D>,C extends ListSingleSelectConfigurator.PropertyListSingleSelectInputConfigurator<T,D,C>>, ListSingleSelectConfigurator.ValidatableDatastoreListSingleSelectInputBuilder<T,ITEM>, ListSingleSelectConfigurator.ValidatableDatastorePropertyListSingleSelectInputBuilder<T>, ListSingleSelectConfigurator.ValidatableListSingleSelectInputBuilder<T,ITEM>, ListSingleSelectConfigurator.ValidatablePropertyListSingleSelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemSetConfigurator

      `ItemSetConfigurator.ItemCaptionGenerator<ITEM>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `HasEnabledConfigurator.BaseHasEnabledConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `HasSizeConfigurator.BaseHasSizeConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ListSingleSelectConfigurator

      `create, create, create, create, failWhenItemNotPresent, renderer, withComponentAfter, withComponentBefore, withPrefixComponent`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SingleSelectableInputConfigurator

      `dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemSetConfigurator

      `enumCaptionGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SelectableInputConfigurator

      `withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withAdapter, withReadonlyChangeListener, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `create, disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasItemCaptionConfigurator

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `create, fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasItemEnableConfigurator

      `itemEnabledProvider`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasBeanDatastoreDataProviderConfigurator

      `dataSource, dataSource, dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDataProviderConfigurator

      `addItem, dataSource, items, items`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.BaseValidatableInputBuilder

      `build`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ValidatableInputConfigurator

      `required, required, required, required, required, validateOnValueChange, validationStatusHandler, withValidator`

Copyright © 2020 The Holon Platform. All rights reserved.